Yet Another HTTP Library: YaHTTP::Response Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
YaHTTP::Response Class Reference

`#include <reqresp.hpp>`

Inheritance diagram for YaHTTP::Response:
[legend]
Collaboration diagram for YaHTTP::Response:
[legend]

## Public Member Functions
| Response ()
| Response (const HTTPBase &rhs)
Response & | operator= (const HTTPBase &rhs)
void | initialize ()
Public Member Functions inherited from YaHTTP::HTTPBase
| HTTPBase ()
void | write (std::ostream &os) const
strstr_map_t & | GET ()
strstr_map_t & | POST ()
strcookie_map_t & | COOKIES ()
std::string | versionStr (int version) const
std::string | str () const

## Friends
std::ostream & | operator<< (std::ostream &os, const Response &resp)
std::istream & | operator>> (std::istream &is, Response &resp)

## Additional Inherited Members
Public Attributes inherited from YaHTTP::HTTPBase
URL | url
int | kind
int | status
int | version
std::string | statusText
std::string | method
strstr_map_t | headers
CookieJar | jar
strstr_map_t | postvars
strstr_map_t | getvars
strstr_map_t | parameters
std::string | routeName
std::string | body
ssize_t | max_request_size
ssize_t | max_response_size
funcptr::function< size_t(const HTTPBase *, std::ostream &, bool)> | renderer
Protected Member Functions inherited from YaHTTP::HTTPBase
| HTTPBase (const HTTPBase &rhs)
HTTPBase & | operator= (const HTTPBase &rhs)

## Detailed Description

Response class, represents a HTTP Response document

## Constructor & Destructor Documentation

YaHTTP::Response::Response | ( |  | ) |
| inline

YaHTTP::Response::Response | ( | const HTTPBase & | rhs | ) |
| inline

## Member Function Documentation

void YaHTTP::Response::initialize | ( |  | ) |
| inlinevirtual

Reimplemented from YaHTTP::HTTPBase.

Response& YaHTTP::Response::operator= | ( | const HTTPBase & | rhs | ) |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Response & | resp
| ) |  |
| friend

std::istream& operator>> | ( | std::istream & | is,
|  | Response & | resp
| ) |  |
| friend

The documentation for this class was generated from the following file:

- /home/cmouse/projects/libyahttp/yahttp/reqresp.hpp